# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2 
# $Header:

IUSE="alsa ffmpeg xvid"

DESCRIPTION="Descrambler plugin for XawDecode"
HOMEPAGE="http://cricrac.free.fr"
SRC_URI="http://cricrac.free.fr/download/xawdecode/stable/${P}.tar.gz"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86"

DEPEND="virtual/x11
	>=media-tv/xawdecode-1.8.0
	x86? ( >=media-libs/divx4linux-20030428 )
	alsa? ( media-libs/alsa-lib media-sound/alsa-utils )
	ffmpeg? ( >=media-video/ffmpeg-0.4.7 )
	xvid? ( >=media-libs/xvid-0.9.1 )"

src_compile() {
	local myconf="--with-xawdecode-prefix=/usr --enable-all-filters"

	use alsa \
		&& myconf="${myconf} --enable-alsa" \
		|| myconf="${myconf} --disable-alsa"

	use x86 \
		&& myconf="${myconf} --enable-divx4linux" \
		|| myconf="${myconf} --disable-divx4linux"

	use ffmpeg \
		&& myconf="${myconf} --enable-ffmpeg" \
		|| myconf="${myconf} --disable-ffmpeg"

	use xvid \
		&& myconf="${myconf} --enable-xvid" \
		|| myconf="${myconf} --disable-xvid"

	econf ${myconf} || die "Configuration failed."

	emake CFLAGS="${CFLAGS}" || die "Compilation failed."
	# Or should we keep the optimized flags they suggest?
	#emake || die "Compilation failed."
}

src_install() {

	einstall || die "Installation failed."

	dodoc AUTHORS INSTALL COPYING ChangeLog
	dodoc xawdecoderc.sample lircrc.*.sample 
	dodoc FAQfr-xawdecode-plugin Readme.txt

}
